japa.parser.ast.body

## Class InitializerDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.InitializerDeclaration

    public final class InitializerDeclaration
    extends BodyDeclaration

### Constructor Summary

Constructors
Constructor and Description
`InitializerDeclaration()`
`InitializerDeclaration(boolean isStatic, BlockStmt block)`
`InitializerDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, boolean isStatic, BlockStmt block)`
`InitializerDeclaration(JavadocComment javaDoc, boolean isStatic, BlockStmt block)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`BlockStmt` `getBlock()`
`boolean` `isStatic()`
`void` `setBlock(BlockStmt block)`
`void` `setStatic(boolean isStatic)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InitializerDeclaration

    public InitializerDeclaration()

#### InitializerDeclaration

    public InitializerDeclaration(boolean isStatic,
                          BlockStmt block)

#### InitializerDeclaration

    public InitializerDeclaration(JavadocComment javaDoc,
                          boolean isStatic,
                          BlockStmt block)

#### InitializerDeclaration

    public InitializerDeclaration(int beginLine,
                          int beginColumn,
                          int endLine,
                          int endColumn,
                          JavadocComment javaDoc,
                          boolean isStatic,
                          BlockStmt block)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getBlock

    public BlockStmt getBlock()

#### isStatic

    public boolean isStatic()

#### setBlock

    public void setBlock(BlockStmt block)

#### setStatic

    public void setStatic(boolean isStatic)